# TODO:
# - use external libs, not the included ones: pear, smarty, adodb
# - move to separate packages each: theme, module.
Summary:	Web based photo album viewer and creator
Summary(pl.UTF-8):	Przeglądarka i generator albumów zdjęć w postaci stron WWW
Name:		gallery
Version:	2.3
Release:	3
License:	GPL
Group:		Applications/Publishing
Source0:	http://dl.sourceforge.net/gallery/%{name}-%{version}-full.tar.gz
# Source0-md5:	f85663db5f1de99d0b3bc13929f9ab39
#Source0:	http://galleryupdates.jpmullan.com/G2/%{name}-nightly.tar.gz
Source1:	%{name}-apache.conf
Source2:	%{name}-lighttpd.conf
Source3:	%{name}-httpd.conf
Patch0:		%{name}-setup.patch
URL:		http://gallery.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	php(gettext)
Requires:	php(pcre)
Requires:	webapps
Requires:	webserver(php) >= 4.1.0
#Suggests:	apache(mod_rewrite)
#Suggests:	jhead
#Suggests:	jpegtran
#Suggests:	php-gd
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{name}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
Gallery is a photo album that includes a config wizard and lets users
create and maintain albums via an intuitive Web interface. Photo
management includes automatic thumbnail creation, image resizing,
rotation, ordering and more. Albums can have read, write, and caption
permissions per individual.

%description -l pl.UTF-8
Gallery jest albumem zdjęć, który posiadaj kreatora konfiguracji i
pozwala użytkownikom tworzyć i zarządzać albumami przez intuicyjny
interfejs WWW. Zarządzanie zdjęciami umożliwia automatyczne tworzenie
miniatur, zmianę wielkości obrazów, obrót, zmianę kolejności
wyświetlania, itp. Albumy mogą posiadać indywidualne uprawnienia.

%package setup
Summary:	Gallery setup package
Summary(pl.UTF-8):	Pakiet do wstępnej konfiguracji Gallery
Group:		Applications/WWW
Requires:	%{name} = %{version}-%{release}
Conflicts:	external-gallery-module

%description setup
Install this package to configure initial Gallery installation. You
should uninstall this package when you're done, as it considered
insecure to keep the setup files in place.

%description setup -l pl.UTF-8
Ten pakiet należy zainstalować w celu wstępnej konfiguracji Gallery po
pierwszej instalacji. Potem należy go odinstalować, jako że
pozostawienie plików instalacyjnych mogłoby być niebezpieczne.

%prep
%setup -q -n %{name}2
%patch0 -p0

rm -f LICENSE.txt *.bat

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_appdir},%{_sysconfdir},/var/lib/gallery/albums}

cp -a *.{php,inc} $RPM_BUILD_ROOT%{_appdir}
cp README.html $RPM_BUILD_ROOT%{_appdir}
cp -a images lib modules themes $RPM_BUILD_ROOT%{_appdir}
cp -a install upgrade $RPM_BUILD_ROOT%{_appdir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lighttpd.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/config.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/login.txt
ln -s %{_sysconfdir}/config.php $RPM_BUILD_ROOT%{_appdir}/config.php
ln -s %{_sysconfdir}/login.txt $RPM_BUILD_ROOT%{_appdir}/login.txt

## Cleanup modules that are avaible in separate packages:
#for module in exif; do
#	rm -rf $RPM_BUILD_ROOT%{_appdir}/modules/$module
#done

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerin -- lighttpd
%webapp_register lighttpd %{_webapp}

%triggerun -- lighttpd
%webapp_unregister lighttpd %{_webapp}

%triggerpostun -- %{name} < 1.5.2-0.13
/usr/sbin/webapp register httpd %{_webapp}
%service -q httpd reload

%files
%defattr(644,root,root,755)
%doc README*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/login.txt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lighttpd.conf
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config.php
%dir %{_appdir}
%dir /var/lib/gallery
%dir %attr(770,root,http) /var/lib/gallery/albums
%{_appdir}/login.txt
%{_appdir}/*.php
%{_appdir}/*.inc
%{_appdir}/images
%{_appdir}/lib
%{_appdir}/modules
%{_appdir}/themes

%files setup
%defattr(644,root,root,755)
%{_appdir}/README.html
%{_appdir}/install
%{_appdir}/upgrade
%changelog
* Fri May 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gallery.git;a=log;h=master

* Fri May 17 2013 Jan Rękorajski <baggins@pld-linux.org> a09a3dd
- don't package config.php twice
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 2f0bb0f
- migrate to apache 2.4
- rel 2

* Fri Nov 07 2008 duddits <duddits@pld-linux.org> 144bd70
- up to 2.3 (by Michal Kochanowicz)

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> aafe98a
- rel 2

* Sat Oct 06 2007 Robert Tomasik <rotom@pld-linux.org> bbc7636
- up to 2.2.3

* Fri Jun 22 2007 Robert Tomasik <rotom@pld-linux.org> 3ac7517
- NEW

* Fri Jun 22 2007 Robert Tomasik <rotom@pld-linux.org> 7c7aca2
- up to 2.2.2
- lighttpd.conf added

* Sun Apr 01 2007 Robert Tomasik <rotom@pld-linux.org> 136b7e4
- up to 2.2.1

* Sat Mar 17 2007 Robert Tomasik <rotom@pld-linux.org> 9527eb2
- up to 2.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5834955
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0bf5ac9
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> 289aabf
- rel 0.8: use php(extension) virtuals

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> 7bb165c
- update webapp triggers due apache1 package split

* Sun Aug 27 2006 Elan Ruusamäe <glen@pld-linux.org> 7a4f24f
- drop unused aliases

* Sun Aug 27 2006 Elan Ruusamäe <glen@pld-linux.org> ea6ad6f
- put g2data to /var/lib/gallery

* Sun Aug 27 2006 Elan Ruusamäe <glen@pld-linux.org> 7b9b736
- login.txt is also used for emergency password recovery

* Sun Aug 27 2006 Elan Ruusamäe <glen@pld-linux.org> 2670940
- add README.html to -setup (by Michal Kochanowicz)

* Sun Aug 27 2006 Elan Ruusamäe <glen@pld-linux.org> 8c69bde
- /upgrade moved to -setup package

* Sun Aug 27 2006 Elan Ruusamäe <glen@pld-linux.org> ece7b8e
- PLD specifics

* Sun Aug 27 2006 Elan Ruusamäe <glen@pld-linux.org> ecb3ab7
- login.txt needed only by setup

